Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 1.4.0.9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.util
Class mxSpline1D

    java.lang.Object
      com.mxgraph.util.mxSpline1D

    public class mxSpline1D

extends Object

One dimension of a spline curve

Field Summary
`protected double[]` | `a`
`protected double[]` | `b`
`protected double[]` | `c`
`protected double[]` | `d`
`protected double[]` | `xx`
`protected double[]` | `yy`

Constructor Summary
`mxSpline1D(double[] xx, double[] yy)` Creates a new Spline.

Method Summary
`boolean` | `checkValues()` Used to check the correctness of this spline
`double` | `getDx(double x)` Returns the first derivation at x.
`double` | `getFastValue(double x)` Returns an interpolated value.
`double` | `getValue(double x)` Returns an interpolated value.
`void` | `setValues(double[] xx, double[] yy)` Set values for this Spline.
`void` | `solve(double[][] A, double[] b)` Solves Ax=b and stores the solution in b.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xx

    protected double[] xx

### yy

    protected double[] yy

### a

    protected double[] a

### b

    protected double[] b

### c

    protected double[] c

### d

    protected double[] d

Constructor Detail

### mxSpline1D

    public mxSpline1D(double[] xx,
                      double[] yy)

  Creates a new Spline.

  Parameters:
    `xx` -
    `yy` -

Method Detail

### setValues

    public void setValues(double[] xx,
                          double[] yy)

  Set values for this Spline.

  Parameters:
    `xx` -
    `yy` -

### getValue

    public double getValue(double x)

  Returns an interpolated value.

  Parameters:
    `x` -
  Returns:
    the interpolated value

### getFastValue

    public double getFastValue(double x)

  Returns an interpolated value. To be used when a long sequence of values are required in order, but ensure checkValues() is called beforehand to ensure the boundary checks from getValue() are made

  Parameters:
    `x` -
  Returns:
    the interpolated value

### checkValues

    public boolean checkValues()

  Used to check the correctness of this spline

### getDx

    public double getDx(double x)

  Returns the first derivation at x.

  Parameters:
    `x` -
  Returns:
    the first derivation at x

### solve

    public void solve(double[][] A,
                      double[] b)

  Solves Ax=b and stores the solution in b.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 1.4.0.9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.